Appearance
Payments and gateways
Choose the configured gateway and complete its specific payment flow. Provider identifiers and tokens must come from that provider integration; the examples show their placement.
Access labels such as Origin + Brand key + Customer are defined in Headers and access. Each endpoint ends in a Try it console; set the host and keys once in its Settings tab or on the overview.
Link account from Aero sync
| Method | URL path | Required access |
|---|---|---|
POST | /api/v1/user/link/account/aerosync | Origin + Brand key + Customer |
Request fields:
| Field | Type | Required | Rules / meaning |
|---|---|---|---|
body.payload | object | yes | — |
body.payload.user_id | string | yes | Whitespace trimmed |
body.payload.user_password | string | yes | Whitespace trimmed |
body.payload.paymentGatewayId | number | yes | — |
Example:
bash
curl -X POST "$BASE_URL/api/v1/user/link/account/aerosync" \
-H "Origin: $ORIGIN" \
-H "api-key: $API_KEY" \
-H "Authorization: Bearer $CUSTOMER_TOKEN" \
-H 'Content-Type: application/json' \
--data-raw '{"payload":{"user_id":"<USER_ID>","user_password":"example","paymentGatewayId":1}}'Response: JSON with success: true and result containing the operation’s service data.
Source: app/v1/controller/aeropay_controller.ts:13 → linkAccountFromAeroSync; routes: routes/v1/aeropay_route.ts:9; service: _linkAccountFromAeroSync (app/v1/service/aeropay_service.ts:27).
Pay order from Aero pay
| Method | URL path | Required access |
|---|---|---|
POST | /api/v1/user/pay/order/aeropay | Origin + Brand key + Customer |
Request fields:
| Field | Type | Required | Rules / meaning |
|---|---|---|---|
body.payload | object | yes | — |
body.payload.orderId | number | yes | — |
body.payload.paymentGatewayId | number | yes | — |
body.payload.bankAccountId | string | yes | Whitespace trimmed |
Example:
bash
curl -X POST "$BASE_URL/api/v1/user/pay/order/aeropay" \
-H "Origin: $ORIGIN" \
-H "api-key: $API_KEY" \
-H "Authorization: Bearer $CUSTOMER_TOKEN" \
-H 'Content-Type: application/json' \
--data-raw '{"payload":{"orderId":1,"paymentGatewayId":1,"bankAccountId":"<BANKACCOUNTID>"}}'Response: JSON with success: true and result containing the operation’s service data. Result fields/details: message, orderId.
Source: app/v1/controller/aeropay_controller.ts:39 → payOrderFromAeroPay; routes: routes/v1/aeropay_route.ts:19; service: _payOrderFromAeroPay (app/v1/service/aeropay_service.ts:85).
Pay order from Authorize Net
| Method | URL path | Required access |
|---|---|---|
POST | /api/v1/user/pay/order/authorizenet | Origin + Brand key + Customer |
Request fields:
| Field | Type | Required | Rules / meaning |
|---|---|---|---|
body.payload | object | yes | — |
body.payload.orderId | number | yes | — |
body.payload.paymentGatewayId | number | yes | — |
body.payload.creditCard | object | yes | — |
body.payload.creditCard.cardNumber | string | yes | Whitespace trimmed |
body.payload.creditCard.expirationDate | string | yes | Whitespace trimmed |
body.payload.creditCard.cardCode | string | yes | Whitespace trimmed |
Example:
bash
curl -X POST "$BASE_URL/api/v1/user/pay/order/authorizenet" \
-H "Origin: $ORIGIN" \
-H "api-key: $API_KEY" \
-H "Authorization: Bearer $CUSTOMER_TOKEN" \
-H 'Content-Type: application/json' \
--data-raw '{"payload":{"orderId":1,"paymentGatewayId":1,"creditCard":{"cardNumber":"example","expirationDate":"example","cardCode":"example"}}}'Response: JSON with success: true and result containing the operation’s service data. Result fields/details: message, orderId.
Source: app/v1/controller/authorizenet_controller.ts:10 → payOrderFromAuthorizeNet; routes: routes/v1/authorizenet_route.ts:42; service: _payOrderFromAuthorizeNet (app/v1/service/authorizenet_service.ts:16).
Pay order from Apple token
| Method | URL path | Required access |
|---|---|---|
POST | /api/v1/user/pay/order/authorizenet/apple/token | Origin + Brand key + Customer |
Request fields:
| Field | Type | Required | Rules / meaning |
|---|---|---|---|
body.payload | object | yes | — |
body.payload.orderId | number | yes | — |
body.payload.paymentGatewayId | number | yes | — |
body.payload.token | object | yes | — |
Example:
bash
curl -X POST "$BASE_URL/api/v1/user/pay/order/authorizenet/apple/token" \
-H "Origin: $ORIGIN" \
-H "api-key: $API_KEY" \
-H "Authorization: Bearer $CUSTOMER_TOKEN" \
-H 'Content-Type: application/json' \
--data-raw '{"payload":{"orderId":1,"paymentGatewayId":1,"token":{}}}'Response: JSON with success: true and result containing the operation’s service data. Result fields/details: message, orderId.
Source: app/v1/controller/authorizenet_controller.ts:40 → payOrderFromAppleToken; routes: routes/v1/authorizenet_route.ts:31; service: _payOrderFromAppleToken (app/v1/service/authorizenet_service.ts:251).
Pay order from NMI
| Method | URL path | Required access |
|---|---|---|
POST | /api/v1/user/pay/order/nmi | Origin + Brand key + Customer |
Request fields:
| Field | Type | Required | Rules / meaning |
|---|---|---|---|
body.payload | object | yes | — |
body.payload.orderId | number | yes | — |
body.payload.paymentGatewayId | number | yes | — |
body.payload.creditCard | object | yes | — |
body.payload.creditCard.cardNumber | string | yes | Whitespace trimmed |
body.payload.creditCard.expirationDate | string | yes | Whitespace trimmed |
body.payload.creditCard.cardCode | string | yes | Whitespace trimmed |
Example:
bash
curl -X POST "$BASE_URL/api/v1/user/pay/order/nmi" \
-H "Origin: $ORIGIN" \
-H "api-key: $API_KEY" \
-H "Authorization: Bearer $CUSTOMER_TOKEN" \
-H 'Content-Type: application/json' \
--data-raw '{"payload":{"orderId":1,"paymentGatewayId":1,"creditCard":{"cardNumber":"example","expirationDate":"example","cardCode":"example"}}}'Response: JSON with success: true and result containing the operation’s service data. Result fields/details: message, orderId.
Source: app/v1/controller/nmi_controller.ts:7 → payOrderFromNMI; routes: routes/v1/nmi_route.ts:20; service: _payOrderFromNMI (app/v1/service/nmi_service.ts:10).
Get payment link
| Method | URL path | Required access |
|---|---|---|
POST | /api/v1/user/payment/link/:paymentGatewayId | Origin + Brand key + Hub selected + Customer |
Request fields:
| Field | Type | Required | Rules / meaning |
|---|---|---|---|
body.payload | object | yes | — |
body.payload.orderId | number | optional | — |
body.payload.currency | string | yes | Whitespace trimmed |
body.payload.email | string | optional | Email address |
path.paymentGatewayId | number | yes | — |
Example:
bash
curl -X POST "$BASE_URL/api/v1/user/payment/link/1" \
-H "Origin: $ORIGIN" \
-H "api-key: $API_KEY" \
-H "Authorization: Bearer $CUSTOMER_TOKEN" \
-H 'Content-Type: application/json' \
--data-raw '{"payload":{"currency":"example"}}'Response: JSON with success: true and result containing the operation’s service data.
Source: app/v1/controller/payment_controller.js:12 → getPaymentLink; routes: routes/v1/payment_route.js:49; service: _getPaymentLink (app/v1/service/payment_service.js:30).
Get all payment gateway
| Method | URL path | Required access |
|---|---|---|
GET | /api/v1/payment/gateways | Origin + Brand key + Hub selected |
Request fields: no body, query, or path fields are read by this controller. Context comes from the headers/middleware above.
Example:
bash
curl -X GET "$BASE_URL/api/v1/payment/gateways" \
-H "Origin: $ORIGIN" \
-H "api-key: $API_KEY"Response: JSON with success: true and result containing the operation’s service data. Result fields/details: Payment gateways configured for the selected hub.
Source: app/v1/controller/payment_controller.js:87 → getAllPaymentGateway; routes: routes/v1/payment_route.js:60; service: _getAllPaymentGateway (app/v1/service/payment_service.js:133).
Get payment gateway customer details
| Method | URL path | Required access |
|---|---|---|
GET | /api/v1/user/payment/gateways/user-info/:paymentGatewayId | Origin + Brand key + Customer |
Request fields:
| Field | Type | Required | Rules / meaning |
|---|---|---|---|
path.paymentGatewayId | number | yes | — |
Example:
bash
curl -X GET "$BASE_URL/api/v1/user/payment/gateways/user-info/1" \
-H "Origin: $ORIGIN" \
-H "api-key: $API_KEY" \
-H "Authorization: Bearer $CUSTOMER_TOKEN"Response: JSON with success: true and result containing the operation’s service data.
Source: app/v1/controller/payment_controller.js:104 → getPGCustomerDetails; routes: routes/v1/payment_route.js:70; service: _getPGCustomerDetails (app/v1/service/payment_service.js:429).
Confirm payment gateway customer
| Method | URL path | Required access |
|---|---|---|
POST | /api/v1/user/payment/gateways/user/confirm | Origin + Brand key + Hub selected + Customer |
Request fields:
| Field | Type | Required | Rules / meaning |
|---|---|---|---|
body.payload | object | yes | — |
body.payload.user_pg_id | string | yes | Whitespace trimmed |
body.payload.phone_number | string | yes | Whitespace trimmed |
body.payload.code | string | yes | Whitespace trimmed |
body.payload.paymentGatewayId | number | yes | — |
Example:
bash
curl -X POST "$BASE_URL/api/v1/user/payment/gateways/user/confirm" \
-H "Origin: $ORIGIN" \
-H "api-key: $API_KEY" \
-H "Authorization: Bearer $CUSTOMER_TOKEN" \
-H 'Content-Type: application/json' \
--data-raw '{"payload":{"user_pg_id":"<USER_PG_ID>","phone_number":"2025550123","code":"example","paymentGatewayId":1}}'Response: JSON with success: true and result containing the operation’s service data.
Source: app/v1/controller/payment_controller.js:128 → confirmPGCustomer; routes: routes/v1/payment_route.js:81; service: _confirmPGCustomer (app/v1/service/payment_service.js:472).
Pay order from Square
| Method | URL path | Required access |
|---|---|---|
POST | /api/v1/user/pay/order/sauare | Origin + Brand key + Customer |
Request fields:
| Field | Type | Required | Rules / meaning |
|---|---|---|---|
body.payload | object | yes | — |
body.payload.orderId | number | yes | — |
body.payload.paymentGatewayId | number | yes | — |
body.payload.nonce | string | yes | Whitespace trimmed |
body.payload.currency | string | yes | Whitespace trimmed |
Example:
bash
curl -X POST "$BASE_URL/api/v1/user/pay/order/sauare" \
-H "Origin: $ORIGIN" \
-H "api-key: $API_KEY" \
-H "Authorization: Bearer $CUSTOMER_TOKEN" \
-H 'Content-Type: application/json' \
--data-raw '{"payload":{"orderId":1,"paymentGatewayId":1,"nonce":"example","currency":"example"}}'Response: JSON with success: true and result containing the operation’s service data. Result fields/details: message, orderId.
Source: app/v1/controller/square_controller.ts:7 → payOrderFromSquare; routes: routes/v1/square_route.ts:20; service: _payOrderFromSquare (app/v1/service/square_service.ts:10).
Pay order from Stripe
| Method | URL path | Required access |
|---|---|---|
POST | /api/v1/user/pay/order/stripe | Origin + Brand key + Customer |
Request fields:
| Field | Type | Required | Rules / meaning |
|---|---|---|---|
body.payload | object | yes | — |
body.payload.orderId | number | yes | — |
body.payload.paymentGatewayId | number | yes | — |
body.payload.payment_intent_id | string | yes | Whitespace trimmed |
Example:
bash
curl -X POST "$BASE_URL/api/v1/user/pay/order/stripe" \
-H "Origin: $ORIGIN" \
-H "api-key: $API_KEY" \
-H "Authorization: Bearer $CUSTOMER_TOKEN" \
-H 'Content-Type: application/json' \
--data-raw '{"payload":{"orderId":1,"paymentGatewayId":1,"payment_intent_id":"<PAYMENT_INTENT_ID>"}}'Response: JSON with success: true and result containing the operation’s service data. Result fields/details: message, orderId.
Source: app/v1/controller/stripe_controller.ts:7 → payOrderFromStripe; routes: routes/v1/stripe_route.ts:20; service: _payOrderFromStripe (app/v1/service/stripe_service.ts:10).